Subject: Re: Perl CPAN module help
From: Patrick Eisenacher <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Nov 2003 11:19:22 +0100

Hi,

I just read what Peter said about 'install' and 'force install'. I had 
to use 'force install' as well for installing the BerkeleyDB module, as 
9 out of 20 tests were failing. So far it is running fine, but I haven't 
done any heavy usage tests yet, just some simple storages and 
retrievals. I'm using Perl v5.8.0-3, BerkeleyDB v0.25 and db3.1 
v3.1.17-2, but saw this behaviour ever since I started with BerkeleyDB 
v0.21.

I'm wondering whether anybody else is seeing this behaviour and managed 
to do a plain install. I've attached the output I get from 'test 
BerkeleyDB' below.

I also do get warnings when doing a normal install for other modules 
that they are not allowed to install into 
/usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int/, so they install into 
/usr/lib/perl5/site_perl/5.8.0/. Checking the ACL for above directory yields

$ getfacl /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int/
# file: /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int/
# owner: eisenacher
# group: Benutzer
user::---
group::---
group:Administratoren:rwx
mask:rwx
other:r-x
default:group:Administratoren:rwx
default:mask:rwx
default:other:r-x

And checking my /etc/passwd shows:

$ cat /etc/passwd
SYSTEM:*:18:544:,S-1-5-18::
Administratoren:*:544:544:,S-1-5-32-544::
Administrator:unused_by_nt/2000/xp:500:513:U-PC-EISENACHER\Administrator,S-1-5-21-44
8539723-1606980848-1708537768-500:/home/Administrator:/bin/bash
Gast:unused_by_nt/2000/xp:501:513:U-PC-EISENACHER\Gast,S-1-5-21-448539723-1606980848
-1708537768-501:/home/Gast:/bin/bash
eisenacher:unused_by_nt/2000/xp:1000:513:Patrick 
Eisenacher,U-PC-EISENACHER\eisenacher,S-1-5-21-448539723-1606980848-1708537768-1000:/home/eisenacher:/bin/bash
VUSR_PC-EISENACHER:unused_by_nt/2000/xp:1001:513:VSA Server 
Account,U-PC-EISENACHER\VUSR_PC-EISENACHER,S-1-5-21-448539723-1606980848-1708537768-1001:/home/VUSR_PC-EISENACHER:/bin/bash

and /etc/group:
$ cat '/etc/group'
SYSTEM:S-1-5-18:18:
Kein:S-1-5-21-448539723-1606980848-1708537768-513:513:
Administratoren:S-1-5-32-544:544:
Benutzer:S-1-5-32-545:545:
Gäste:S-1-5-32-546:546:
Hauptbenutzer:S-1-5-32-547:547:
Replikations-Operator:S-1-5-32-552:552:
Sicherungs-Operatoren:S-1-5-32-551:551:

Which is weird in 2 ways. First I don't belong to any group, but the 
owning group is 'Benutzer' and perl sets up the directory in a way that 
only members of the group 'Administratoren' can write into it. Clearly, 
there are no members of any of those groups.

Anybody any tips?

Thanks in advance,
Patrick

Running make test
/usr/bin/perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(0, 
'blib/lib', 'blib/arch')" t/*.t
t/btree........ok 177/244Can't call method "txn_begin" on an undefined 
value at t/btree.t line 638.
t/btree........dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 28, 178-244
         Failed 68/244 tests, 72.13% okay
t/db-3.0.......ok 1/14Can't call method "set_mutexlocks" on an undefined 
value at t/db-3.0.t line 39.
t/db-3.0.......dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-14
         Failed 13/14 tests, 7.14% okay
t/db-3.1.......ok
t/db-3.2.......skipped
         all skipped: this needs Berkeley DB 3.2.x or better
t/db-3.3.......skipped
         all skipped: this needs Berkeley DB 3.3.x or better
t/destroy......ok 1/15Can't call method "txn_begin" on an undefined 
value at t/destroy.t line 33.
t/destroy......dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-15
         Failed 14/15 tests, 6.67% okay
t/encrypt......skipped
         all skipped: this needs Berkeley DB 4.1.x or better
t/env..........ok 18/50Can't call method "txn_begin" on an undefined 
value at t/env.t line 104.
t/env..........dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 12, 14, 21-50
         Failed 32/50 tests, 36.00% okay
t/examples.....ok
t/examples3....ok
t/filter.......ok
t/hash.........ok 146/212Can't call method "txn_begin" on an undefined 
value at t/hash.t line 444.
t/hash.........dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 29, 147-212
         Failed 67/212 tests, 68.40% okay
t/join.........Can't call method "txn_begin" on an undefined value at 
t/join.t line 86.
t/join.........dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 8-41
         Failed 34/41 tests, 17.07% okay
t/mldbm........ok
t/queue........skipped
         all skipped: Queue needs Berkeley DB 3.3.x or better
t/recno........ok 166/226Can't call method "txn_begin" on an undefined 
value at t/recno.t line 471.
t/recno........dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 28, 168-226
         Failed 60/226 tests, 73.45% okay
t/strict.......NOK 2Use of uninitialized value in numeric eq (==) at 
t/strict.t line 40.
t/strict.......NOK 8Can't call method "txn_begin" on an undefined value 
at t/str
t/strict.......ok 9/44
t/strict.......dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2, 6, 8, 10, 12-44
         Failed 37/44 tests, 15.91% okay
t/subdb........ok
t/txn..........ok 1/58Can't call method "txn_begin" on an undefined 
value at t/txn.t line 53.
t/txn..........dubious
         Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-4, 6-58
         Failed 56/58 tests, 3.45% okay
t/unknown......ok
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/btree.t    255 65280   244   68  27.87%  28 178-244
t/db-3.0.t   255 65280    14   13  92.86%  2-14
t/destroy.t  255 65280    15   14  93.33%  2-15
t/env.t      255 65280    50   32  64.00%  12 14 21-50
t/hash.t     255 65280   212   67  31.60%  29 147-212
t/join.t     255 65280    41   34  82.93%  8-41
t/recno.t    255 65280   226   60  26.55%  28 168-226
t/strict.t   255 65280    44   37  84.09%  2 6 8 10 12-44
t/txn.t      255 65280    58   56  96.55%  2-4 6-58
4 tests skipped.
Failed 9/20 test scripts, 55.00% okay. 381/1096 subtests failed, 65.24% 
okay.
make: *** [test_dynamic] Error 255
   /usr/bin/make test -- NOT OK

Peter J. Acklam schrieb:
> 
> You shouldn't use "force install" unless you really know what
> you're doing.  If your module fails a regular "install" you should
> investigate the problem and find the solution rather than do a
> "force install".  With a "force install" you are likely to install
> modules which fail some way on your system and hence shouldn't
> have been installed.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/